{% extends "clients/base.html" %}{% load accounts %}

{% block extrahead %}
{{block.super}}
<script type="text/javascript" charset="utf-8">
$(function() {
    $('select#clients').change(function() {
        var url = $(this).val();
        window.location.href = url;
    });
});
</script>   
{% endblock %}


{% block tagline %}
    <div id="client-menu">
        {% if owner %}
        <a href="{% url clients-profile owner.id %}" class="active">{{owner.get_full_name|default:owner.username}}</a>
        {% else %}
        <a href="{% url clients-profile user.id %}" class="active">{{user.get_full_name|default:user.username}}</a>
        {% endif %}
        <span class="sep">|</span>
        {% if owner %}
        {% if user.is_superuser %}
        <a href="{% url clients-change_profile owner.id %}" rel="profile">Profile</a>
        <span class="sep">|</span>
        <a href="{% url clients-upload owner.id %}" rel="upload">Upload</a>
        <span class="sep">|</span>
        {% endif %}
        {% endif %}
        <a href="{% url logout %}" rel="logout">Logout</a>
        {% if user.is_superuser %}
        <span class="sep">|</span>
        {% clients as clients %}
        <select name="clients" id="clients">
            <option value="{% url clients-index %}">All</option>
            {% for client in clients %}
            <option value="{% url clients-profile client.id %}"{% ifequal client.id owner.id %} selected="selected"{% endifequal %}>{{client.get_full_name|default:client.username}}</option>
            {% endfor %}
        </select>
        {% endif %}
    </div> 
{% endblock %}


